Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class Deployable

    java.lang.Object
      org.apache.axis2.engine.Deployable

    public class Deployable

extends Object

A Deployable is a container for something (Phases, Handlers) which wants to be deployed in an ordered and constrained fashion via a DeployableChain.

Constructor Summary
`Deployable(String name)`
`Deployable(String name, Object target)`

Method Summary
`void` | `addPredecessor(String name)`
`void` | `addSuccessor(String name)`
`String` | `getName()`
`String` | `getPhase()`
`Set<String>` | `getPredecessors()`
`Set<String>` | `getSuccessors()`
`Object` | `getTarget()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`void` | `setFirst(boolean first)`
`void` | `setLast(boolean last)`
`void` | `setPhase(String phase)`
`void` | `setTarget(Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deployable

    public Deployable(String name)

### Deployable

    public Deployable(String name,
                      Object target)

Method Detail

### getName

    public String getName()

### addSuccessor

    public void addSuccessor(String name)

### addPredecessor

    public void addPredecessor(String name)

### getPredecessors

    public Set<String> getPredecessors()

### getSuccessors

    public Set<String> getSuccessors()

### getPhase

    public String getPhase()

### setPhase

    public void setPhase(String phase)

### isFirst

    public boolean isFirst()

### setFirst

    public void setFirst(boolean first)

### isLast

    public boolean isLast()

### setLast

    public void setLast(boolean last)

### setTarget

    public void setTarget(Object target)

### getTarget

    public Object getTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.